import request from '@/utils/request'

//质量巡检----检查表


export function getQualityinspectList(query) {
  return request({
    url: '/quality/inspectitem/',
    method: 'get',
    params: query
  })
}

export function getQualityinspect(id) {
  return request({
    url: `/quality/inspectitem/${id}/`,
    method: 'get'
  })
}

export function createQualityinspect(data) {
  return request({
    url: '/quality/inspectitem/',
    method: 'post',
    data
  })
}

export function updateQualityinspect(id, data) {
  return request({
    url: `/quality/inspectitem/${id}/`,
    method: 'put',
    data
  })
}

export function deleteQualityinspect(id, data) {
  return request({
    url: `/quality/inspectitem/${id}/`,
    method: 'delete',
    data
  })
}

